Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.utils
Class CreateConceptsTool

    java.lang.Object
      edu.udo.cs.miningmart.m4.utils.CreateConceptsTool

    public class CreateConceptsTool

extends java.lang.Object

This class can be used to create metadata in M4 for given table names in the business data. A file with the table names can be specified as the first argument for the main method. The tool creates a columnset, columns, BaseAttributes and a Concept with the names found in the database. The case id to which the metadata should belong is the second argument of the main method. The method is DBMS-dependent, that is, it only works for Oracle at the moment.

Version:
  $Id: CreateConceptsTool.java,v 1.4 2006/09/27 14:59:54 euler Exp $
Author:
  Timm Euler

Constructor Summary
`CreateConceptsTool(DB theDb, java.lang.String schemaName, Case theCase)` Constructor for CreateConceptsTool.

Method Summary
`java.util.Collection` | `createConcepts(java.util.Collection theTableNames)` Creates columnset, columns, baseattributes and concepts for each table or view whose name is in the given Collection (if it is a valid database object's name).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateConceptsTool

    public CreateConceptsTool(DB theDb,
                              java.lang.String schemaName,
                              Case theCase)

  Constructor for CreateConceptsTool. Needs the DB information object , the name of the business schema and the Case object. The business schema name is used for new Columnsets.

  Parameters:
    `theDb` - DB information
    `schemaName` - name of the business DB schema
    `theCase` - All metadata to be created will belong to this Case

Method Detail

### createConcepts

    public java.util.Collection createConcepts(java.util.Collection theTableNames)
                                        throws M4Exception

  Creates columnset, columns, baseattributes and concepts for each table or view whose name is in the given Collection (if it is a valid database object's name).

  Parameters:
    `theTableNames` - a Collection of Strings
  Returns:
    a Collection of Concepts
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005